Get Infra Monitoring Flow Details

Get Infra Monitoring Flow Details
Get unique (deduplicated) flow records for an infrastructure service

Returns a paginated list of unique (deduplicated) flow records associated with a specific infrastructure service (e.g., DNS, NTP, Active Directory). Flows are deduplicated by the 4-tuple of source VM, destination VM, destination port, and protocol.

Notes:

  • start_time is required. Either site_id or site_ids must also be provided.
  • service_category_id is required. Obtain valid IDs from the /monitoring/infrastructure/service-categories API.
  • server_ids optionally narrows results to specific discovered servers (up to 300 entries). Omitting this field returns all flows for the service.
  • filters accepts up to 300 filter entries.
  • To export these results as a CSV file, use POST /visualization/flow-exports/infrastructure/monitoring/flow-details/export.
Request
URI
POST
https://{api_host}/intelligence/visualization/flow-analysis/infrastructure/monitoring/flow-details
COPY
Request Body

Wrapper request for InfrastructureMonitoringFlowDetails with restricted filter keys

Required  
This request body class requires all of the following: VizTimeIntervalListSiteRequest , InlineVizInfrastructureMonitoringFlowDetailsRequest1
{
    "start_time": 0,
    "site_id": "17f7c7e5-7f8c-490a-97e9-b9c9193c45e1",
    "service_category_id": "bc5907fd-4d95-436c-aaaf-972af34b2ca9",
    "page_size": 50,
    "offset": 0,
    "filters": []
}
Authentication
This operation uses the following authentication methods.
Responses
200

success

Returns InfraMonitoringFlowDetailListResult of type(s) application/json
This response body class contains all of the following: VizTimeIntervalListResult , InlineInfraMonitoringFlowDetailListResult1
{
    "offset": 0,
    "number_of_results": 9,
    "total_result_count": 9,
    "total_pages": 1,
    "time_interval": {
        "start_time": 0,
        "end_time": 1782175751602
    },
    "results": [
        {
            "source": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "VM",
                    "id": "503b7c79-dfbd-1f3d-eb47-b37a94d6fb29",
                    "reference_id": "503b7c79-dfbd-1f3d-eb47-b37a94d6fb29",
                    "name": "srv_new_vmx1",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "flow_type": "ALLOWED",
                "rules": [
                    {
                        "id": "196742"
                    }
                ],
                "jump_to_rules": [
                    {
                        "id": "196673"
                    }
                ]
            },
            "destination": {
                "groups": [],
                "compute": {
                    "entity_type": "COMPUTE",
                    "compute_type": "IP",
                    "id": "External",
                    "reference_id": "External",
                    "name": "External",
                    "config_events": [],
                    "highlight": false
                },
                "apps": [],
                "configured_services": [
                    "NTP"
                ],
                "protocol": "UDP",
                "port": 123,
                "flow_type": "UNKNOWN",
                "rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ],
                "jump_to_rules": [
                    {
                        "id": "UNKNOWN"
                    }
                ]
            },
            "flow_info": {
                "last_session_start_time": 1782174914,
                "last_session_end_time": 1782174952,
                "flow_type": "ALLOWED",
                "is_active": false
            }
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/flow-analysis/infrastructure/monitoring/flow-details